extends RigidBody3D

const TUNNEL : bool = true

var init : Transform3D

func _ready() -> void:
	self.init = self.transform	
	if TUNNEL:
		var walls : Node3D = self.get_parent().get_node("walls")
		walls.position.x -= 0.5
		walls.rotate_y(0.21)
	else:
		var mesh : Node3D = self.get_parent().get_node("mesh")
		mesh.rotate_y(5.0)


func _physics_process(_delta : float) -> void:
	if Input.is_physical_key_pressed(KEY_SPACE):
		var force : Vector3 = Vector3.FORWARD * 123.0
		force += Vector3.UP * 9.8 * self.mass # no gravity (has no effect on the issue)
		self.apply_central_force(force)
	else:
		self.transform = self.init
		self.linear_velocity = Vector3.ZERO
		self.angular_velocity = Vector3.ZERO
